com.pixelmed.dicom

## Class PrivatePixelData

- java.lang.Object
- - com.pixelmed.dicom.PrivatePixelData

    public class PrivatePixelData
    extends java.lang.Object

This class includes private mechanisms for handling float or double Pixel Data.

### Field Summary

Fields
`static java.lang.String` `pixelmedPrivateCreatorForFloatOrDoublePixelData`
`static AttributeTag` `pixelmedPrivateDoublePixelData`
`static AttributeTag` `pixelmedPrivateFloatPixelData`
`static int` `pixelmedPrivatePixelDataGroup`
`static int` `pixelRepresentationForDoublePixelData`
`static int` `pixelRepresentationForFloatPixelData`
`static java.lang.String` `privateCreatorForFloatOrDoublePixelData`
`static boolean` `sendBitsStoredAndHighBitForFloatOrDoublePixelData`
`static boolean` `sendPixelRepresentationForFloatOrDoublePixelData`
`static AttributeTag` `tagForDoublePixelData`
`static AttributeTag` `tagForFloatPixelData`

### Constructor Summary

Constructors
Constructor and Description
`PrivatePixelData()`

### Method Summary

Methods
`static Attribute` `getPixelData(AttributeList list)` Returns the Attribute that contains the Pixel Data.
`static void` `replacePixelData(AttributeList list, Attribute aPixelData)` Add or replace the Pixel Data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pixelmedPrivateCreatorForFloatOrDoublePixelData

    public static final java.lang.String pixelmedPrivateCreatorForFloatOrDoublePixelData

See Also:
  Constant Field Values

#### pixelmedPrivatePixelDataGroup

    public static final int pixelmedPrivatePixelDataGroup

See Also:
  Constant Field Values

#### pixelmedPrivateFloatPixelData

    public static final AttributeTag pixelmedPrivateFloatPixelData

#### pixelmedPrivateDoublePixelData

    public static final AttributeTag pixelmedPrivateDoublePixelData

#### tagForFloatPixelData

    public static final AttributeTag tagForFloatPixelData

#### tagForDoublePixelData

    public static final AttributeTag tagForDoublePixelData

#### privateCreatorForFloatOrDoublePixelData

    public static final java.lang.String privateCreatorForFloatOrDoublePixelData

See Also:
  Constant Field Values

#### sendPixelRepresentationForFloatOrDoublePixelData

    public static final boolean sendPixelRepresentationForFloatOrDoublePixelData

See Also:
  Constant Field Values

#### sendBitsStoredAndHighBitForFloatOrDoublePixelData

    public static final boolean sendBitsStoredAndHighBitForFloatOrDoublePixelData

See Also:
  Constant Field Values

#### pixelRepresentationForFloatPixelData

    public static final int pixelRepresentationForFloatPixelData

See Also:
  Constant Field Values

#### pixelRepresentationForDoublePixelData

    public static final int pixelRepresentationForDoublePixelData

See Also:
  Constant Field Values

### Constructor Detail

#### PrivatePixelData

    public PrivatePixelData()

### Method Detail

#### getPixelData

    public static Attribute getPixelData(AttributeList list)

Returns the Attribute that contains the Pixel Data.

Handles (various private) float or double alternatives to the conventional (0x7FE0,0x0010).

Parameters:
  `list` - the AttributeList to search
Returns:
  the Attribute or null if not found

#### replacePixelData

    public static void replacePixelData(AttributeList list,
                        Attribute aPixelData)
                                 throws DicomException

Add or replace the Pixel Data.

Removes any existing (private) group containing pixel data, including the private creator .

Handles (various private) float or double alternatives to the conventional (0x7FE0,0x0010).

Parameters:
  `list` - the AttributeList to search
Throws:
  `if` - an error occurs
  `DicomException`